﻿@model AuthnData.Models.Sondage.ViewSondageViewModel
<h1>Vue du Sondage</h1>
<hr>
@{
    var sondage = ViewData["Sondage"] as AuthnData.Classes.Sondages;
    var answers = ViewData["Answers"] as List<AuthnData.Classes.Answers>;
    var userAnswer = ViewData["userAnswers"] as AuthnData.Classes.UsersAnswers;
    var error = TempData["Error"] as string;
    var succes = TempData["Success"] as string;
    ViewData["Title"] = "Vote";
}
@if(!string.IsNullOrEmpty(error))
{
    <h3 class="alert-danger" style="padding:20px;">@error</h3>
}
@if(!string.IsNullOrEmpty(succes))
{
    <h3 class="alert-success" style="padding:20px;">@succes</h3>
}
@if(sondage == null)
{
    <h3 class="alert-success" style="padding:20px;">Le sondage n'a pas été trouvé essayez d'y accéder depuis votre page d'acceuil</h3>
}
@if (sondage != null)
{
    <h2>@sondage.Question</h2>
    <div class="reponse-div">
        <form name="myForm" asp-controller="Sondage" asp-action="ViewSondage" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" name="sondageId" value="@sondage.Id"/>
            <div class="reponse-total-div">
                @if(sondage.isMultipleAnswer == 0) {
                    var inputType = "radio";
                    @foreach(AuthnData.Classes.Answers answer in answers)
                    {
                        @if (userAnswer != null)
                        {
                            if (userAnswer.answers.Contains(answer.Content))
                            {
                                <div class="reponse-custom-div">
                                    <input class="colored-checkbox answer-radio" name="answerUser" type='@inputType' value="@answer.Content" checked><span>@answer.Content</span><br/>
                                </div>
                            }
                            else
                            {
                                <div class="reponse-custom-div">
                                    <input class="colored-checkbox answer-radio" name="answerUser" type='@inputType' value="@answer.Content"><span>@answer.Content</span><br/>
                                </div>
                            }
                        }
                        else
                        {
                            <div class="reponse-custom-div">
                                <input class="colored-checkbox answer-radio" name="answerUser" type='@inputType' value="@answer.Content"><span>@answer.Content</span><br/>
                            </div>
                        }
                    }
                } else {
                    var inputType = "checkbox";                
                    @foreach(AuthnData.Classes.Answers answer in answers)
                    {
                        @if (userAnswer != null)
                        {
                            @if (userAnswer.answers.Contains(answer.Content))
                            {
                                <div class="reponse-custom-div">
                                    <input class="colored-checkbox answer-checkbox" name="answerUser" type='@inputType' value="@answer.Content" checked><span>@answer.Content</span><br/>
                                </div>
                            }
                            else
                            {
                                <div class="reponse-custom-div">
                                    <input class="colored-checkbox answer-checkbox" name="answerUser" type='@inputType' value="@answer.Content"><span>@answer.Content</span><br/>
                                </div>
                            }
                        }
                        else
                        {
                            <div class="reponse-custom-div">
                                <input class="colored-checkbox answer-checkbox" name="answerUser" type='@inputType' value="@answer.Content"><span>@answer.Content</span><br/>
                            </div>
                        }
                    }
                }
            </div>
            <input type="submit" class="btn colored-buttons" value="Voter">
        </form>
    </div>

    <hr class="form-breaker">
    <a asp-controller="Sondage" asp-action="ViewResult" asp-route-token="@sondage.publicToken">Visiter la page des résultats</a>

}